# OP 2018 - Problem 7

# This represents a possible solution - not the only or best solution
# Copyright 2018 - Darrin Rothe

# get UNIX time
unixtime = int(input("Enter UNIX time: "))

# how many years from epoch
years = int(unixtime/(86400*365.25))

# how many leap years?
ly = int((years+1)/4)

if ly < 0:
	ly = 0

# time in year
tiy = unixtime-(years*(86400*365))-ly*86400

# is this year a leap year?
if (years+2)%4 == 0:
	febdays = 29
else:
	febdays = 28

# days in year
diy = int(tiy/86400)

# adjust day
diy = diy + 1

# month
daysinmonth = [31,febdays,31,30,31,30,31,31,30,31,30,31]

day = 0
dayindex = 0

while day == 0:
	if diy <= daysinmonth[dayindex]:
		month=dayindex+1
		day = diy
	else:
		diy = diy - daysinmonth[dayindex]
		dayindex = dayindex +1

# time in day
tid = tiy%86400

# hours in day
hid = int(tid/3600)

# minutes in hour
mih = tid%3600

# adjust hour
if hid >= 12:
	ampm = 'PM'
	hid = hid - 12
else:
	ampm='AM'
	
if hid == 0:
	hid = 12

# minutes
min = int(mih/60)

# display
print('{:02d}:{:02d} {:2}   {:02d}/{:02d}/{:04d}'.format(hid,min,ampm,month,day,years+1970))
