# OP 2018 - Problem 8

# This represents a possible solution - not the only or best solution
# Copyright 2018 - Darrin Rothe

# get initial seed
numnum = input("Enter number (15 or 16 digits): ")

# get chars into int array - probably a more pythonish way to do this...
nums = []
for num in numnum[0:15]:
	nums.append(int(num))

# check 16th digit - might be x or X
if len(numnum) == 16:
	if numnum[15] == 'x' or numnum[15] == 'X':
		nums.append(10)
	else:
		nums.append(int(numnum[15]))

# double and triple
for n in range(1,16,3):
	nums[n] *= 2
	if nums[n]>9:
		nums[n]=int(nums[n]/10)+nums[n]%10

for n in range(2,16,3):
	nums[n] *= 3
	if nums[n]>9:
		nums[n]=int(nums[n]/10)+nums[n]%10

# checksum and tweaks
cksum = sum(nums)%11

if cksum > 0:
	cksum = 11-cksum

if cksum==10:
	cksum = 'X'

if len(nums) == 15:
	print("Check digit is: ",cksum)
else:
	if cksum == 0:
		print("Number passes check")
	else:
		print("Number fails check")

